/*
 * BEGIN FLOCK GPL
 * 
 * Copyright Flock Inc. 2005-2006
 * http://flock.com
 * 
 * This file may be used under the terms of of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 * 
 * END FLOCK GPL
 */

#include "nsISupports.idl"
#include "nsIDOMWindow.idl"

[scriptable, uuid(55428389-d8f3-450a-8b49-eebfb1fde3e6)]
interface flockIFeedUtilityCall : nsISupports {
    attribute nsIDOMWindow window;
    attribute AString method;
    attribute AString url;
    attribute AUTF8String urn;
    attribute AString id;
    attribute AString title;
    attribute AString content;
    attribute boolean alwaysRaised;
    attribute boolean show;
    attribute AString style;
    attribute long columns;
};

[scriptable, uuid(512e9a15-5f2f-4004-8a58-0a57102d839d)]
interface flockIFeedUtility : nsISupports {
    /*
    void markRead(in AString url, in AString id);
    void markUnread(in AString url, in AString id);
    void markAllRead(in AUTF8String urn);
    void markAllUnread(in AUTF8String urn);

    void flagPost(in AString url, in AString id);
    void unflagPost(in AString url, in AString id);

    void blogThis(in AString url, in AString title, in AString content, in boolean alwaysRaised);

    void subscribeFeed(in AString url);

    void setDefaultStyle(in AUTF8String urn, in AString style);
    void setDefaultColumns(in long columns);

    void setShowUnread(in boolean show);
    void setShowRead(in boolean show);
    void setShowFlagged(in boolean show);
    */
    void handleContentMessage(in flockIFeedUtilityCall obj);
};
